package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.DateUpload;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/11 15:40
 */
public interface DateUploadMapper {

    Integer altitude(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer aspect(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer landuse(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer suitability(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer road(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer seedSuccess(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer vegetationDistribution(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer slope(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer desertification(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer moisture(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer salinization(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer healthy(@Param("zone") String zone,
                   @Param("imageDate") String imageDate,
                    @Param("resolution") String resolution);

    Integer water(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer waterArea(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer roadLength(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    Integer climateIndex(@Param("zone") String zone,
                   @Param("imageDate") String imageDate);

    List<DateUpload> selectUpload(@Param("zone") String zone,
                                  @Param("type") String type,
                                  @Param("type1") String type1,
                                  @Param("type2") String type2,
                                  @Param("year") String year,
                                  @Param("dateWithSway") String dateWithSway,
                                  @Param("name") String name,
                                  @Param("dateTime") String dateTime);

    DateUpload selectShpfile(@Param("zone") String zone,
                                  @Param("type") String type,
                                  @Param("dateTime") String dateTime,
                                   @Param("year") String year);

    DateUpload selectShp(@Param("zone") String zone,
                                  @Param("type") String type,
                                  @Param("dateTime") String dateTime);


    Integer DelUpload(@Param("id") Integer id);

    DateUpload selectDel(@Param("id") Integer id);

    Integer DelShp(@Param("id") Integer id);

    Integer IntoUpload(DateUpload upload);

    Integer IntoShp(DateUpload upload);
}
